| Wireshark 4.7.0 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Functions
crc16.h File Reference
`#include <wireshark.h>`

Go to the source code of this file.

## Functions
WS_DLL_PUBLIC uint16_t | crc16_ccitt (const uint8_t *buf, unsigned len)
| Compute CRC16 CCITT checksum of a buffer of data.
WS_DLL_PUBLIC uint16_t | crc16_x25_ccitt_seed (const uint8_t *buf, unsigned len, uint16_t seed)
| Compute CRC16 X.25 CCITT checksum of a buffer of data.
WS_DLL_PUBLIC uint16_t | crc16_ccitt_seed (const uint8_t *buf, unsigned len, uint16_t seed)
| Compute CRC16 CCITT checksum of a buffer of data.
WS_DLL_PUBLIC uint16_t | crc16_iso14443a (const uint8_t *buf, unsigned len)
| Compute the 16bit CRC_A value of a buffer as defined in ISO14443-3.
WS_DLL_PUBLIC uint16_t | crc16_usb (const uint8_t *buf, unsigned len)
| Compute the 16bit CRC value of a buffer as defined in USB Specification.
WS_DLL_PUBLIC uint16_t | crc16_0x5935 (const uint8_t *buf, uint32_t len, uint16_t seed)
| Calculates a CRC16 checksum for the given buffer with the polynomial 0x5935 using a precompiled CRC table.
WS_DLL_PUBLIC uint16_t | crc16_0x755B (const uint8_t *buf, uint32_t len, uint16_t seed)
| Calculates a CRC16 checksum for the given buffer with the polynom 0x755B using a precompiled CRC table.
WS_DLL_PUBLIC uint16_t | crc16_0x9949_seed (const uint8_t *buf, unsigned len, uint16_t seed)
| Computes CRC16 checksum for the given data with the polynom 0x9949 using precompiled CRC table.
WS_DLL_PUBLIC uint16_t | crc16_0x3D65_seed (const uint8_t *buf, unsigned len, uint16_t seed)
| Computes CRC16 checksum for the given data with the polynom 0x3D65 using precompiled CRC table.
WS_DLL_PUBLIC uint16_t | crc16_0x080F_seed (const uint8_t *buf, unsigned len, uint16_t seed)
| Computes CRC16 checksum for the given data with the polynom 0x080F using precompiled CRC table.

## Detailed Description

Declaration of CRC-16 routines and table

2004 Richard van der Hoff richa.nosp@m.rdv@.nosp@m.mxtel.nosp@m.ecom.nosp@m..com

Wireshark - Network traffic analyzer By Gerald Combs geral.nosp@m.d@wi.nosp@m.resha.nosp@m.rk.o.nosp@m.rg Copyright 1998 Gerald Combs

SPDX-License-Identifier: GPL-2.0-or-later

## Function Documentation

## ◆ crc16_0x080F_seed()

WS_DLL_PUBLIC uint16_t crc16_0x080F_seed | ( | const uint8_t * | buf,
|  | unsigned | len,
|  | uint16_t | seed
| ) |  |

Computes CRC16 checksum for the given data with the polynom 0x080F using precompiled CRC table.

Parameters

  buf | a pointer to a buffer of the given length
  len | the length of the given buffer
  seed | The seed to use.

Returns
  the CRC16 checksum for the buffer

## ◆ crc16_0x3D65_seed()

WS_DLL_PUBLIC uint16_t crc16_0x3D65_seed | ( | const uint8_t * | buf,
|  | unsigned | len,
|  | uint16_t | seed
| ) |  |

Computes CRC16 checksum for the given data with the polynom 0x3D65 using precompiled CRC table.

Parameters

  buf | a pointer to a buffer of the given length
  len | the length of the given buffer
  seed | The seed to use.

Returns
  the CRC16 checksum for the buffer

## ◆ crc16_0x5935()

WS_DLL_PUBLIC uint16_t crc16_0x5935 | ( | const uint8_t * | buf,
|  | uint32_t | len,
|  | uint16_t | seed
| ) |  |

Calculates a CRC16 checksum for the given buffer with the polynomial 0x5935 using a precompiled CRC table.

Parameters

  buf | a pointer to a buffer of the given length
  len | the length of the given buffer
  seed | The seed to use.

Returns
  the CRC16 checksum for the buffer

## ◆ crc16_0x755B()

WS_DLL_PUBLIC uint16_t crc16_0x755B | ( | const uint8_t * | buf,
|  | uint32_t | len,
|  | uint16_t | seed
| ) |  |

Calculates a CRC16 checksum for the given buffer with the polynom 0x755B using a precompiled CRC table.

Parameters

  buf | a pointer to a buffer of the given length
  len | the length of the given buffer
  seed | The seed to use.

Returns
  the CRC16 checksum for the buffer

## ◆ crc16_0x9949_seed()

WS_DLL_PUBLIC uint16_t crc16_0x9949_seed | ( | const uint8_t * | buf,
|  | unsigned | len,
|  | uint16_t | seed
| ) |  |

Computes CRC16 checksum for the given data with the polynom 0x9949 using precompiled CRC table.

Parameters

  buf | a pointer to a buffer of the given length
  len | the length of the given buffer
  seed | The seed to use.

Returns
  the CRC16 checksum for the buffer

## ◆ crc16_ccitt()

WS_DLL_PUBLIC uint16_t crc16_ccitt | ( | const uint8_t * | buf,
|  | unsigned | len
| ) |  |

Compute CRC16 CCITT checksum of a buffer of data.

Parameters

  buf | The buffer containing the data.
  len | The number of bytes to include in the computation.

Returns
  The CRC16 CCITT checksum.

## ◆ crc16_ccitt_seed()

WS_DLL_PUBLIC uint16_t crc16_ccitt_seed | ( | const uint8_t * | buf,
|  | unsigned | len,
|  | uint16_t | seed
| ) |  |

Compute CRC16 CCITT checksum of a buffer of data.

If computing the checksum over multiple buffers and you want to feed the partial CRC16 back in, remember to take the 1's complement of the partial CRC16 first.

Parameters

  buf | The buffer containing the data.
  len | The number of bytes to include in the computation.
  seed | The seed to use.

Returns
  The CRC16 CCITT checksum (using the given seed).

## ◆ crc16_iso14443a()

WS_DLL_PUBLIC uint16_t crc16_iso14443a | ( | const uint8_t * | buf,
|  | unsigned | len
| ) |  |

Compute the 16bit CRC_A value of a buffer as defined in ISO14443-3.

Parameters

  buf | The buffer containing the data.
  len | The number of bytes to include in the computation.

Returns
  the CRC16 checksum for the buffer

## ◆ crc16_usb()

WS_DLL_PUBLIC uint16_t crc16_usb | ( | const uint8_t * | buf,
|  | unsigned | len
| ) |  |

Compute the 16bit CRC value of a buffer as defined in USB Specification.

Parameters

  buf | The buffer containing the data.
  len | The number of bytes to include in the computation.

Returns
  the CRC16 checksum for the buffer

## ◆ crc16_x25_ccitt_seed()

WS_DLL_PUBLIC uint16_t crc16_x25_ccitt_seed | ( | const uint8_t * | buf,
|  | unsigned | len,
|  | uint16_t | seed
| ) |  |

Compute CRC16 X.25 CCITT checksum of a buffer of data.

Parameters

  buf | The buffer containing the data.
  len | The number of bytes to include in the computation.
  seed | The seed to use.

Returns
  The CRC16 X.25 CCITT checksum.